

make it compile.


 arch/ppc64/kernel/semaphore.c |    2 +-
 include/asm-ppc64/semaphore.h |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN include/asm-ppc64/semaphore.h~aio-10-down_wq-ppc64-fix include/asm-ppc64/semaphore.h
--- 25-power4/include/asm-ppc64/semaphore.h~aio-10-down_wq-ppc64-fix	2003-05-17 02:49:43.000000000 -0700
+++ 25-power4-akpm/include/asm-ppc64/semaphore.h	2003-05-17 02:49:43.000000000 -0700
@@ -68,7 +68,7 @@ static inline void init_MUTEX_LOCKED (st
 	sema_init(sem, 0);
 }
 
-extern void __down_wq(struct semaphore * sem, wait_queue_t *wait);
+extern int __down_wq(struct semaphore * sem, wait_queue_t *wait);
 extern int  __down_interruptible(struct semaphore * sem);
 extern void __up(struct semaphore * sem);
 
@@ -85,7 +85,7 @@ static inline int down_wq(struct semapho
 	 * Try to get the semaphore, take the slow path if we fail.
 	 */
 	if (atomic_dec_return(&sem->count) < 0)
-		ret =__down_wq(sem, wait);
+		ret = __down_wq(sem, wait);
 	smp_wmb();
 	return ret;
 }
diff -puN arch/ppc64/kernel/semaphore.c~aio-10-down_wq-ppc64-fix arch/ppc64/kernel/semaphore.c
--- 25-power4/arch/ppc64/kernel/semaphore.c~aio-10-down_wq-ppc64-fix	2003-05-17 02:56:55.000000000 -0700
+++ 25-power4-akpm/arch/ppc64/kernel/semaphore.c	2003-05-17 02:57:05.000000000 -0700
@@ -96,7 +96,7 @@ int __down_wq(struct semaphore *sem, wai
 		schedule();
 		tsk->state = TASK_UNINTERRUPTIBLE;
 	}
-	spin_lock_irqsave(&sem->wait.lock, flags)
+	spin_lock_irqsave(&sem->wait.lock, flags);
 	if (is_sync_wait(wait) || !list_empty(&wait->task_list)) {
 		remove_wait_queue_locked(&sem->wait, wait);
 		INIT_LIST_HEAD(&wait->task_list);

_
